Skip to main content
GET
GET projects instances_public
GET the paginated list of all public Projects. Includes any project whose public attribute is true, regardless of who owns it.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/projects/[a-f0-9]{16}$
Example:

"/api/v1/projects/0d77065796f8d173"

owner
users · object
required
permissions
string[]
required
project_name
string | null
required
Required string length: 3 - 15
Pattern: ^[a-zA-Z0-9_-]{3,15}$
description
string | null
external_id
string | null
Example:

"PRJ-2024-001"

name
string | null
public
boolean
default:false